Get an offer
curl --request GET \
--url https://api.nextlevelmca.com/v1/offers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/offers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"deal_id": "<string>",
"lender_id": "<string>",
"lender_name": "<string>",
"submission_id": "<string>",
"amount": 123,
"factor_rate": 123,
"buy_rate": 123,
"max_upsell_points": 123,
"term": 123,
"term_unit": "days",
"payment_frequency": "daily",
"payment_amount": 123,
"payback_amount": 123,
"points": 123,
"commission_estimate": 123,
"position": 123,
"status": "<string>",
"status_name": "<string>",
"status_type": "open",
"revision": 123,
"supersedes_offer_id": "<string>",
"superseded_by_offer_id": "<string>",
"superseded_at": "2023-11-07T05:31:56Z",
"is_primary": true,
"is_selected": true,
"notes": "<string>",
"decline_reason": "<string>",
"merchant_response": "<string>",
"expires_at": "<string>",
"received_at": "<string>",
"accepted_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Offers
Get an offer
A single offer with its terms, status and primary flag.
GET
/
v1
/
offers
/
{id}
Get an offer
curl --request GET \
--url https://api.nextlevelmca.com/v1/offers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/offers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"deal_id": "<string>",
"lender_id": "<string>",
"lender_name": "<string>",
"submission_id": "<string>",
"amount": 123,
"factor_rate": 123,
"buy_rate": 123,
"max_upsell_points": 123,
"term": 123,
"term_unit": "days",
"payment_frequency": "daily",
"payment_amount": 123,
"payback_amount": 123,
"points": 123,
"commission_estimate": 123,
"position": 123,
"status": "<string>",
"status_name": "<string>",
"status_type": "open",
"revision": 123,
"supersedes_offer_id": "<string>",
"superseded_by_offer_id": "<string>",
"superseded_at": "2023-11-07T05:31:56Z",
"is_primary": true,
"is_selected": true,
"notes": "<string>",
"decline_reason": "<string>",
"merchant_response": "<string>",
"expires_at": "<string>",
"received_at": "<string>",
"accepted_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"meta": {}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Was this page helpful?